---
import Nav from "../components/Nav.astro"

// src/layouts/BaseLayout.astro
const {title} = Astro.props;
---
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>{title}</title>
  <link rel="stylesheet" type="text/css" href={Astro.resolve('../styles/global.css')}>
</head>
<main>
  <!-- Adds a navigation bar to every page. -->
  <!-- <Nav /> -->
  <!-- slot: your page content will be injected here. -->
  <slot />
</main>